Zum Hauptinhalt springen

List customer invites belonging to the executing user

GET/v2/customer-invites/
API version
v2
Request method
GET
Operation ID
customer-list-customer-invites

Request

Responses

Response-Header

  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

OK

  • Array[
    • *object
      • avatarRefIdstring (uuid)

        Reference to the Customer's avatar.

      • customerIdstring (uuid)
        required

        ID of the Customer the invite is for.

      • customerNamestring
        required

        Name of the Customer the user is invited to.

      • idstring (uuid)
        required

        ID of the CustomerInvite.

      • informationobject
        required
        • invitationTokenstring

          Token for authentication purposes.

        • invitedBystring (uuid)
          required

          ID of the user that created the invite.

      • mailAddressstring (email)
        required

        Mail-address of the user the invite is for.

      • membershipExpiresAtstring (date-time)

        Time the CustomerMembership should expire at.

      • messagestring

        Message contained in the CustomerInvite.

      • rolestring (one of: notset, owner, member, accountant)
        required
    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customer-invites?limit=50&page=1